Questions tagged [apt]

Advanced Packaging Tool, the package manager for Debian-based distributions. It is also the most used tool for installing packages in Ubuntu. Questions about using any of the apt tools should use this tag.

Filter by
Sorted by
Tagged with
1
vote
1answer
55 views

(SOLVED) apt-get is trying to uninstall everything I've ever installed!

This evening, I installed the latest stable release (version 10) of LLVM, Clang, etc.. I used these commands: sudo apt-get install libllvm-10-ocaml-dev libllvm10 llvm-10 llvm-10-dev llvm-10-doc llvm-...
0
votes
0answers
15 views

Can't update becase of 'Appstream'

when i try to update my system via apt-get update or appcenter i get this message: The AppStream system cache was updated, but some errors were detected, which might lead to missing metadata. Refer ...
0
votes
0answers
13 views

synaptic error on bash showing when I open the terminal

I tried doing this to install apt-fast: sudo add-apt-repository -y ppa:apt-fast/stable sudo apt -y install apt-fast echo $'\nalias apt="apt-fast"' >> ~/.bashrc source ~/.bashrc and now, ...
0
votes
1answer
85 views

Updating Hera: Expected bionic but got trusty

When I check for updates on AppCenter, I get an error message "failed to fetch updates" W: Conflicting distribution: http://ppa.launchpad.net/deadsnakes/ppa/ubuntu bionic InRelease (expected bionic ...
1
vote
1answer
176 views

add-apt-repository not working

When I try running sudo add-apt-repository ppa:openrazer/stable it hangs. I am on Elementary OS 5.1 Hera. No other repositories work. I have install software-properties-common and its dependencies. If ...
0
votes
1answer
156 views

404 NOT FOUND adding tweaks

this is a similar issue to this question by me. I just got a fresh install of EOS 5.1, so I am starting from scratch. I am trying to get Elementary Tweaks so I can install a custom theme, but when I ...
0
votes
3answers
76 views

File manager deleted after update, now can't reinstall it (broken dependencies)

After a recent update and apt autoremove, the Elementary OS files app was somehow removed. I tried to reinstall it from the appstore, only for it to complain that tumbler and tumbler extras needed ...
2
votes
1answer
93 views

Can't install/remove, upgrade/update ANYTHING

I use OpenOffice, but got curious why so many Linux users and distributions are more into LibreOffice, so I downloaded it to check it out. When I tried to install it (a while back) I got an error ...
0
votes
1answer
84 views

404 Not Found error while running Apt and AppStore EOS Juno

when I open the app store in EOS Juno I am getting these errors: Failed to Fetch Updates This may have been caused by external, manually added software repositories or a corrupted sources file. E: ...
0
votes
1answer
553 views

No module named apt_pkg

Had this error while trying to install Lutris :sudo add-apt-repository ppa:lutris-team/lutris and then this came out : Traceback (most recent call last): File "/usr/bin/add-apt-repository", line ...
0
votes
1answer
52 views

Error with appcenter likely connected with python

I got this code when I open the appcenter. I recently dabbled in installing python stuff so might be connected to it. Also, when I ran sudo apt-update, this came out : Error Message
0
votes
1answer
69 views

Fresh Juno install can't update/install any packages

I've just completed a fresh install of 5.0 from the ISO on the website, but am unable to update/upgrade packages. Trying to run sudo apt update, or install anything from the AppCentre both result in ...
0
votes
1answer
25 views

Determine Missing Files

I am very new to Linux. My question is this : I have installed CodeBlocks IDE from the AppCenter, and tried to compile a simple "Hello World" program to no avail. After researching and looking at ...
0
votes
0answers
219 views

Error: could not find a distribution template for elementary/juno

I have a problem on my elementary os Juno. So when I want to add a ppa, it answers me : arthur@arthur:~$ sudo add-apt-repository ppa:mpstark/elementary-tweaks-daily Traceback (most recent call last): ...
0
votes
1answer
84 views

How to know which packages I have installed manually?

Where on the web is Loki's install manifest file? I want to compare it with the current build to see what I have installed? Or is there another way?
1
vote
1answer
171 views

Update error - signatures couldn't be verified because the public key is not available

I installed a few days ago(monday I think) elementary OS 5.0 Juno. Everything went really good, I'ma pretty experienced Linux user, I've been using ubuntu,elementary os and linux in general for quite ...
1
vote
0answers
112 views

Failed to fetch update

full details from image E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/lib/command-not-found/ -a -e /usr/lib/cnf-update-db; then /usr/lib/cnf-update-db > /...
1
vote
1answer
250 views

Native videos app can't play some type of videos

I have a problem with the native videos app: I'm not able to play specific videos in it (Screen is black) while I can play some other videos. Using VLC (Which somehow can play the target files with ...
1
vote
0answers
28 views

I accidentally deleted the file /lib/ld-lsb.so.3

I accidentally deleted the file /lib/ld-lsb.so.3. I wanted to know if it's a necessary file to guarantee the good functionality of the system (last version of Elementary OS, equivalent to bionic ...
0
votes
1answer
303 views

Packages have unmet dependencies error

whenever i try to install anything, i get that. Me and my dumb self also decided to uninstall appcenter, this is another problem im having, sudo apt-get install appcenter Reading package lists... ...
1
vote
1answer
903 views

Update error unexpected size

Input code : sudo apt update Output with error : Get:1 http://bd.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB] Hit:2 http://security.ubuntu.com/ubuntu bionic-security InRelease ...
1
vote
1answer
1k views

Error when running `sudo apt-get update`

I've got the following error(s): Hit:1 http://ro.archive.ubuntu.com/ubuntu bionic InRelease Hit:2 http://ppa.launchpad.net/elementary-os/stable/ubuntu bionic InRelease ...
0
votes
1answer
1k views

Repository „cdrom://elementary OS 5.0 _Juno_ - Stable amd64 (20181016) bionic Release“ does not contain the Release file

How can i solve this ? E: Repository „cdrom://elementary OS 5.0 _Juno_ - Stable amd64 (20181016) bionic Release“ does not contain the Release file. W: An update from this repository can not be ...
0
votes
1answer
185 views

Grub2 unknown filesystem after apt dist-upgrade

Yesterday I did a apt dist-upgrade on my Juno installation. This morning I found my PC unbootable. Since I couldn't find a fix for it, I started to reinstall my system. After a clean install (on a ...
0
votes
1answer
317 views

Getting an error on update

I am running eos juno on a razer blade late 2016 model laptop. I tried to do a sudo apt-get update && upgrade on terminal Err:13 http://in.archive.ubuntu.com/ubuntu bionic-updates/main i386 ...
1
vote
1answer
291 views

Low disk space on file system

Low disk space on file system message on: Elementary: elementary OS Freya (64-bit) Built on "Ubuntu 14.04 LTS" File manager: Files 0.2.4 I want to create more disk space and running the command df-h ...
1
vote
1answer
7k views

Can't install elementary-tweaks on Juno

I'm trying to install elementary-tweaks on Juno but adding the ppa is causing an error. Here is my console output... Err:7 http://ppa.launchpad.net/philip.scott/elementary-tweaks/ubuntu bionic ...
2
votes
2answers
915 views

Accidentally created a bad source list- How to delete it?

I'm new to Linux and was attempting to install the Brave Browser using the instructions on the website, listed below: curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc | sudo apt-...
2
votes
2answers
757 views

Brave Browser and repo update

I have tried to add the repo for Brave Browser. It adds fine, but then I get this problem with it being insecure. How can I add this repo to an exceptions list? I understand apt is going to phase out ...
0
votes
2answers
135 views

Error on launching the “App Store”

I get the following error when I launch the AppCentre. It reads E: Repository 'http://dl.google.com/linux/chrome/deb stable Release' changed its 'Origin' value from 'Google, Inc.' to 'Google LLC' I ...
0
votes
1answer
118 views

Apt repo add with human error, empty AppCenter

I installed Elementary OS since 2 weeks now, and I wanted to install Syncthing, what I did... But I went to this page and due to my window width, I typed 2 commands instead of one : echo "deb ...
2
votes
2answers
621 views

Fresh installation - apt-get update fails with 403 forbidden

I am quite new to Linux. After I did fresh install from iso and update system components from AppCenter(appcenter) I wanted to install net-tools using apt-get. firstly I did sudo apt-get update but ...
1
vote
1answer
2k views

Repository problems, on a new installed Juno

After a brand new installation of Elementaty Juno (I come from Linux Mint) I got errors like this one, when updating the system: El repositorio «http://packages.elementary.io/appcenter juno Release» ...
0
votes
2answers
2k views

Problems installing elementary tweaks in Juno

Following these steps: sudo add-apt-repository -y ppa:philip.scott/elementary-tweaks sudo apt update sudo apt install elementary-tweaks I get this output, indicating an error: guillermo@guillermo-...
0
votes
1answer
1k views

Juno Failed to Fetch Updates - Missing Release file

I've just installed elementary OS Juno, but I'm getting into trouble when I try to get updates, both via AppCenter or terminal. It seems it cannot fetch updates since it cannot find Release file in ...
0
votes
3answers
947 views

Can't install Mega on Juno

On Juno the default Mega deb package is not installing because of missing dependencies which using sudo apt install -f does not resolve. In face of better solution I came here to see what can be done, ...
0
votes
2answers
2k views

Cannot install gcc and g++ on Elementary OS Juno

Yesterday, I installed Elementary OS Juno. This is a fresh install. When I tried to install g++ it gave me following stream of Errors. Basically some dependencies are unmet. When I tried to install ...
0
votes
1answer
171 views

Unable to update the system using apt

This is what I see when I run sudo apt-get update on terminal, http://packages.elementary.io/appcenter/dists/bionic/InRelease 403 Forbidden [IP: 104.28.4.44 80] E: El repositorio «http://...
1
vote
1answer
2k views

Juno sources - no release file

I have just installed Juno but cannot update. sudo apt update [sudo] password for cipeos: Sorry, try again. [sudo] password for cipeos: Ign:1 http://ppa.launchpad.net/elementary-os/...
0
votes
1answer
192 views

Can't upgrade my packages

Short version: I can't upgrade my packages (I'm using Elementary OS 0.4.1, based on Ubuntu - that's why I'm asking here). Long version: First step I try fetching package informations via sudo apt-...
0
votes
1answer
562 views

How configure apt-get with proxy

I'm new one on elementary, I work behind a proxy. I cant get work apt -get behind a proxy , i tried to edit /etc/apt/apt.conf but i can't find, thanks for your help
1
vote
1answer
92 views

Broken apport return [Sub-process /usr/bin/dpkg returned an error code (1)]

When I try to update the system or install updates through: sudo apt update; sudo apt upgrade -y; I get an error: Sub-process /usr/bin/dpkg returned an error code (1) When processing the following ...
1
vote
1answer
2k views

Cannot install Elementary Tweaks in Loki (no release file for the repo)

I'm back to elementary after some absence and I hope to keep using it, but I have no big incentive so far. After discovering that adding repos was disabled by default, as well as the Ubuntu's ...
1
vote
0answers
41 views

The repository 'http://http.us.debian.org/debian xenial Release' does not have a Release file [duplicate]

When I try update my elementary OS I get these error messages: W: The repository 'http://http.us.debian.org/debian xenial Release' does not have a Release file. N: Data from such a repository can't ...
1
vote
2answers
960 views

Hash sum mismatch on apt update

Get:14 http://in.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB] Err:13 http://packages.elementary.io/appcenter xenial/main amd64 ...
2
votes
1answer
5k views

apt update “does not have a Release file”

I'm trying to fix this issue when running sudo apt update: E: The repository 'https://download.docker.com/linux/ubuntu loki Release' does not have a Release file. N: Updating from such a repository ...
0
votes
1answer
615 views

apt-get: Unmet dependencies for almost every package

I'm running Elementary os 0.4.1 loki. After doing some magic with apt-get I managed to broke it so some packages won't install. Then I tried to fix it with some solutions I found on Google like apt-...
0
votes
1answer
373 views

Updates failure

I am not able to update my system for a long time. This is the failure text: Failed to fetch http://packages.elementary.io/appcenter/dists/xenial/main/dep11/Components-amd64.yml Could not open file /...
2
votes
1answer
73 views

Graphic glitch after interrupted apt upgrade?

I'm new to this forum, so sorry for any mistakes.. Today I booted my Elementary OS into this (see the screenshot). Blurred or missing texts, no text in menus... But pages and menus a rendering ...
3
votes
3answers
4k views

Error installing OS updates — “Too few items to process”

I was downloading OS updates as per usual while working, and when I finished working I realized the installation had gotten stuck. I was trying to install another package and wanted to use apt, which ...